Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.resolve
Class TrustType

    java.lang.Object
      org.openxri.resolve.TrustType

All Implemented Interfaces:
  java.io.Serializable

    public class TrustType

extends java.lang.Object
implements java.io.Serializable

Author:
  wtan
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `TRUST`
`static java.lang.String` | `TRUST_HTTPS`
`static java.lang.String` | `TRUST_NONE`
`static java.lang.String` | `TRUST_SAML`
`static java.lang.String` | `TRUST_SAML_HTTPS`
`protected java.lang.String` | `type`

Constructor Summary
`TrustType()` Constructor.
`TrustType(java.lang.String type)` Constructor.

Method Summary
`boolean` | `equals(java.lang.String trustType)` Compares with a String representation of the trust type.
`java.lang.String` | `getParameterPair()`
`java.lang.String` | `getType()`
`boolean` | `isHTTPS()`
`boolean` | `isSAML()`
`void` | `setParameterPair(boolean isHttps, boolean isSaml)`
`void` | `setType(java.lang.String type)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TRUST_NONE

    public static final java.lang.String TRUST_NONE

See Also:
  Constant Field Values

### TRUST_SAML

    public static final java.lang.String TRUST_SAML

See Also:
  Constant Field Values

### TRUST_HTTPS

    public static final java.lang.String TRUST_HTTPS

See Also:
  Constant Field Values

### TRUST_SAML_HTTPS

    public static final java.lang.String TRUST_SAML_HTTPS

See Also:
  Constant Field Values

### TRUST

    public static final java.lang.String TRUST

See Also:
  Constant Field Values

### type

    protected java.lang.String type

Constructor Detail

### TrustType

    public TrustType()

  Constructor. Creates a TrustType

  Parameters:
    `type` -

### TrustType

    public TrustType(java.lang.String type)
              throws IllegalTrustTypeException

  Constructor. Creates a TrustType

  Parameters:
    `type` -
  Throws:
    `IllegalTrustTypeException`

Method Detail

### getType

    public java.lang.String getType()

  Returns:
    Returns the type as a String.

### getParameterPair

    public java.lang.String getParameterPair()

  Returns:
    Returns a String representation of the parameter name value pair.

### setParameterPair

    public void setParameterPair(boolean isHttps,
                                 boolean isSaml)

### setType

    public void setType(java.lang.String type)
                 throws IllegalTrustTypeException

  Parameters:
    `type` - The type to set.
  Throws:
    `IllegalTrustTypeException`

### isHTTPS

    public boolean isHTTPS()

  Returns:
    Returns `true` if the type is `https` or `saml+https`, `false` otherwise.

### isSAML

    public boolean isSAML()

  Returns:
    Returns `true` if the type is `saml` or `saml+https`, `false` otherwise.

### equals

    public boolean equals(java.lang.String trustType)

  Compares with a String representation of the trust type.

  Parameters:
    `trustType` -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.